//
// LocoTool - A program to edit Locomotion object description .dat files
//
// Copyright (C) 2004 by Josef Drexler
//
// This file is distributed under the term of the GNU General Public Licence
// version 2 or higher.  Please read the file LICENCE for details.
//
//
// locotool.c - the main file
//

#include <stdio.h>
#include <string.h>

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>

#include "locotool.h"
#include "common.h"

// called by the dll if anything goes wrong
void err_messagebox(char *message)
{
  MessageBox(NULL,message,LocoTool_get_version(),MB_OK);
}

int main(int argc, char **argv)
{
  char *fname;

  LocoTool_set_err_handler(err_messagebox);

//  printf("%s\n", get_version());

  if (argc < 2) LocoTool_die("Give filename as parameter");

  fname = argv[1];

  if (stricmp(fname+strlen(fname)-4, ".xml") == 0) {
	LocoTool_encode(fname);
  } else {
	LocoTool_decode(fname);
  }

  return 0;
}
